<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>BytePropertyNode (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BytePropertyNode (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":42,"i1":42};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/BytePropertyNode.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/BookmarksTables.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
               title="interface in org.apache.poi.hwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/BytePropertyNode.html" target="_top">Frames</a>
        </li>
        <li><a href="BytePropertyNode.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.hwpf.model.PropertyNode">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.model.PropertyNode">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.model</div>
    <h2 title="Class BytePropertyNode" class="title">Class BytePropertyNode&lt;T extends
        BytePropertyNode&lt;T&gt;&gt;</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hwpf/model/PropertyNode.html"
                       title="class in org.apache.poi.hwpf.model">org.apache.poi.hwpf.model.PropertyNode</a>&lt;T&gt;
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hwpf.model.BytePropertyNode&lt;T&gt;</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Cloneable, java.lang.Comparable&lt;T&gt;</dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/hwpf/model/CHPX.html"
                           title="class in org.apache.poi.hwpf.model">CHPX</a>, <a
                            href="../../../../../org/apache/poi/hwpf/model/PAPX.html"
                            title="class in org.apache.poi.hwpf.model">PAPX</a></dd>
                </dl>
                <hr>
                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                    <div class="block"><span
                            class="deprecationComment">byte positions shall not be saved in memory</span></div>
                </div>
                <br>
                <pre>@Deprecated
public abstract class <span class="typeNameLabel">BytePropertyNode&lt;T extends BytePropertyNode&lt;T&gt;&gt;</span>
extends <a href="../../../../../org/apache/poi/hwpf/model/PropertyNode.html" title="class in org.apache.poi.hwpf.model">PropertyNode</a>&lt;T&gt;</pre>
                <div class="block">Normally PropertyNodes only ever work in characters, but
                    a few cases actually store bytes, and this lets everything
                    still work despite that.
                    It handles the conversion as required between bytes
                    and characters.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.hwpf.model.PropertyNode">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.hwpf.model.<a
                                        href="../../../../../org/apache/poi/hwpf/model/PropertyNode.html"
                                        title="class in org.apache.poi.hwpf.model">PropertyNode</a></h3>
                                <code><a href="../../../../../org/apache/poi/hwpf/model/PropertyNode.EndComparator.html"
                                         title="class in org.apache.poi.hwpf.model">PropertyNode.EndComparator</a>, <a
                                        href="../../../../../org/apache/poi/hwpf/model/PropertyNode.StartComparator.html"
                                        title="class in org.apache.poi.hwpf.model">PropertyNode.StartComparator</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hwpf.model.PropertyNode">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hwpf.model.<a
                                        href="../../../../../org/apache/poi/hwpf/model/PropertyNode.html"
                                        title="class in org.apache.poi.hwpf.model">PropertyNode</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/PropertyNode.html#Z:Z_buf">_buf</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/BytePropertyNode.html#BytePropertyNode-int-int-java.lang.Object-">BytePropertyNode</a></span>(int&nbsp;charStart,
                                    int&nbsp;charEnd,
                                    java.lang.Object&nbsp;buf)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/BytePropertyNode.html#getEndBytes--">getEndBytes</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">Though bytes are actually stored in file, it is advised to
             use char positions for all operations. Including save
             operations, because only char positions are preserved.</span></div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/BytePropertyNode.html#getStartBytes--">getStartBytes</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">Though bytes are actually stored in file, it is advised to
             use char positions for all operations. Including save
             operations, because only char positions are preserved.</span></div>
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hwpf.model.PropertyNode">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hwpf.model.<a
                                        href="../../../../../org/apache/poi/hwpf/model/PropertyNode.html"
                                        title="class in org.apache.poi.hwpf.model">PropertyNode</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/PropertyNode.html#adjustForDelete-int-int-">adjustForDelete</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/PropertyNode.html#clone--">clone</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/PropertyNode.html#compareTo-T-">compareTo</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/PropertyNode.html#equals-java.lang.Object-">equals</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/PropertyNode.html#getEnd--">getEnd</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/PropertyNode.html#getStart--">getStart</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/PropertyNode.html#hashCode--">hashCode</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/PropertyNode.html#limitsAreEqual-java.lang.Object-">limitsAreEqual</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/PropertyNode.html#setEnd-int-">setEnd</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/PropertyNode.html#setStart-int-">setStart</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="BytePropertyNode-int-int-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>BytePropertyNode</h4>
                                <pre>public&nbsp;BytePropertyNode(int&nbsp;charStart,
                        int&nbsp;charEnd,
                        java.lang.Object&nbsp;buf)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getStartBytes--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStartBytes</h4>
                                <pre>@Deprecated
public&nbsp;int&nbsp;getStartBytes()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">Though bytes are actually stored in file, it is advised to
             use char positions for all operations. Including save
             operations, because only char positions are preserved.</span></div>
                            </li>
                        </ul>
                        <a name="getEndBytes--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getEndBytes</h4>
                                <pre>@Deprecated
public&nbsp;int&nbsp;getEndBytes()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">Though bytes are actually stored in file, it is advised to
             use char positions for all operations. Including save
             operations, because only char positions are preserved.</span></div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/BytePropertyNode.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/BookmarksTables.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
               title="interface in org.apache.poi.hwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/BytePropertyNode.html" target="_top">Frames</a>
        </li>
        <li><a href="BytePropertyNode.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.hwpf.model.PropertyNode">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.model.PropertyNode">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
